import logging

from django.core.files.images import ImageFile
from django.test import TestCase

from web.models import Language
from web.tests.functions import get_resource_path

logger = logging.getLogger(__name__)


class LanguageTests(TestCase):
    def test_image_img(self):
        language = Language(image=ImageFile(open(get_resource_path("PL.png"), "rb")))

        img_html_tag = language.image_img()
        self.assertTrue("flag-icon" in img_html_tag)
