# -*- coding: utf-8 -*-
# assigns default flying team location for subjects that had in the past finished appointment at flying team location

from __future__ import unicode_literals

from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ('web', '0046_subject_flying_team'),
    ]

    operations = [
        migrations.RunSQL(
            "update web_subject set flying_team_id = web_appointment.flying_team_id from web_visit, web_appointment " +
            "where web_subject.id=web_visit.subject_id and " +
            "web_subject.flying_team_id is null and " +
            "web_visit.id = web_appointment.visit_id and " +
            "web_appointment.flying_team_id is not null and status = 'FINISHED';"
        ),
    ]
